Workflows
List workflow shares
List the users a workflow is shared with and their roles.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
workflow_id*string
Resource identifier: workflow_id.
Format
uuidQuery Parameters
cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/shares"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "user": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "role": "ADMIN", "created_at": "2026-09-04T12:00:00Z" } ], "next_cursor": null}